aboutsummaryrefslogtreecommitdiffstats
path: root/vagrant/bootstrap.sh
diff options
context:
space:
mode:
authorGuo Ruijing <ruijing.guo@intel.com>2017-05-10 15:05:30 -0700
committerGuo Ruijing <ruijing.guo@intel.com>2017-05-13 00:32:18 +0800
commit5a14ee34314b6d500c63dc19523ee4748734c8c0 (patch)
tree4f82b4514f9ab5517372916372a1227d31b9f61e /vagrant/bootstrap.sh
parent62e3159bb6e3f90e2ad53b8da39a7ea34c819b4f (diff)
setup onap demo by vagrant
Change-Id: I7d46f7f6081e7aed0cc2ea2506a47925171f9be2 Co-Authored-By: Chen, Wei <wei.d.chen@intel.com> Signed-off-by: Guo Ruijing <ruijing.guo@intel.com>
Diffstat (limited to 'vagrant/bootstrap.sh')
-rw-r--r--vagrant/bootstrap.sh14
1 files changed, 14 insertions, 0 deletions
diff --git a/vagrant/bootstrap.sh b/vagrant/bootstrap.sh
new file mode 100644
index 00000000..fea28a5e
--- /dev/null
+++ b/vagrant/bootstrap.sh
@@ -0,0 +1,14 @@
+#!/usr/bin/env bash
+set -ex
+
+sudo apt-get update -y
+sudo apt-get install git -y
+git clone https://github.com/openstack-dev/devstack
+cd devstack; git checkout stable/newton
+sudo apt-get install openvswitch-switch -y
+sudo ovs-vsctl add-br br-ex
+inet=$(ip a | grep 'inet.*enp0s9' | cut -f6 -d' ')
+sudo ip addr flush enp0s9
+sudo ovs-vsctl add-port br-ex enp0s9
+sudo ifconfig br-ex $inet up
+echo "source /vagrant/openrc" >> $HOME/.bash_profile